Bug 963103 - XklWrapperError: Failed to initialize layouts (anaconda should fail gracefully or fall back to a default when kickstart specifies an invalid keyboard layout)
XklWrapperError: Failed to initialize layouts (anaconda should fail gracefull...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:595d6fe0ab6efef7664d6fbaafb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 03:12 EDT by Jens Petersen
Modified: 2013-05-29 22:07 EDT (History)
11 users (show)

See Also:
Fixed In Version: anaconda-19.29-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 22:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (136.20 KB, text/plain)
2013-05-15 03:12 EDT, Jens Petersen
no flags Details
File: anaconda.log (2.05 KB, text/plain)
2013-05-15 03:12 EDT, Jens Petersen
no flags Details
File: backtrace (1.05 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: environ (744 bytes, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: ifcfg.log (381 bytes, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: ks.cfg (1.72 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: lsblk_output (1.21 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: nmcli_dev_list (3.13 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: packaging.log (9.58 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: program.log (21.14 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: storage.log (30.96 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details
File: syslog (71.40 KB, text/plain)
2013-05-15 03:13 EDT, Jens Petersen
no flags Details

  None (edit)
Description Jens Petersen 2013-05-15 03:12:46 EDT
Description of problem:
tried to install with f19 gnome-boxes with preset user a/c
The following was filed automatically by anaconda:
anaconda 19.25-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 369, in __init__
    raise XklWrapperError("Failed to initialize layouts")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 345, in get_instance
    XklWrapper._instance = XklWrapper()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 49, in __init__
    self._xklwrapper = keyboard.XklWrapper.get_instance()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 331, in __init__
    LanguageMixIn.__init__(self)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 322, in _instantiateAction
    obj = actionClass(self.data, self.storage, self.payload, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 360, in run
    self._currentAction = self._instantiateAction(self._actions[0])
  File "/sbin/anaconda", line 1085, in <module>
    anaconda._intf.run()
XklWrapperError: Failed to initialize layouts

Version-Release number of selected component:
anaconda-19.25-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ks=hd:sda:/fedora.ks
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC4

Truncated backtrace:
Traceback (most recent call last):
  File "/sbin/anaconda", line 1085, in <module>
    anaconda._intf.run()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 360, in run
    self._currentAction = self._instantiateAction(self._actions[0])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 322, in _instantiateAction
    obj = actionClass(self.data, self.storage, self.payload, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 331, in __init__
    LanguageMixIn.__init__(self)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 49, in __init__
    self._xklwrapper = keyboard.XklWrapper.get_instance()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 345, in get_instance
    XklWrapper._instance = XklWrapper()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 369, in __init__
    raise XklWrapperError("Failed to initialize layouts")
XklWrapperError: Failed to initialize layouts
Comment 1 Jens Petersen 2013-05-15 03:12:50 EDT
Created attachment 748085 [details]
File: anaconda-tb
Comment 2 Jens Petersen 2013-05-15 03:12:57 EDT
Created attachment 748086 [details]
File: anaconda.log
Comment 3 Jens Petersen 2013-05-15 03:13:00 EDT
Created attachment 748087 [details]
File: backtrace
Comment 4 Jens Petersen 2013-05-15 03:13:02 EDT
Created attachment 748088 [details]
File: environ
Comment 5 Jens Petersen 2013-05-15 03:13:04 EDT
Created attachment 748089 [details]
File: ifcfg.log
Comment 6 Jens Petersen 2013-05-15 03:13:06 EDT
Created attachment 748090 [details]
File: ks.cfg
Comment 7 Jens Petersen 2013-05-15 03:13:09 EDT
Created attachment 748091 [details]
File: lsblk_output
Comment 8 Jens Petersen 2013-05-15 03:13:11 EDT
Created attachment 748092 [details]
File: nmcli_dev_list
Comment 9 Jens Petersen 2013-05-15 03:13:15 EDT
Created attachment 748094 [details]
File: packaging.log
Comment 10 Jens Petersen 2013-05-15 03:13:18 EDT
Created attachment 748097 [details]
File: program.log
Comment 11 Jens Petersen 2013-05-15 03:13:22 EDT
Created attachment 748099 [details]
File: storage.log
Comment 12 Jens Petersen 2013-05-15 03:13:24 EDT
Created attachment 748101 [details]
File: syslog
Comment 13 Vratislav Podzimek 2013-05-15 05:26:48 EDT
'ja_JP.UTF-8' (from the kickstart file used) is not a valid X layout. I'll change the code not to raise this exception when an invalid layout is passed, but it's the kickstart creator's responsibility to use valid values.
Comment 14 Tim Flink 2013-05-15 15:26:38 EDT
Description of problem:
I started an install of a F19 VM with boxes and clicked on the new VM's entry before the installation finished

Version-Release number of selected component:
anaconda-19.25-1

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   ks=hd:sda:/fedora.ks
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.0-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta-TC4

Truncated backtrace:
Traceback (most recent call last):
  File "/sbin/anaconda", line 1085, in <module>
    anaconda._intf.run()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 360, in run
    self._currentAction = self._instantiateAction(self._actions[0])
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/__init__.py", line 322, in _instantiateAction
    obj = actionClass(self.data, self.storage, self.payload, self.instclass)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 331, in __init__
    LanguageMixIn.__init__(self)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/welcome.py", line 49, in __init__
    self._xklwrapper = keyboard.XklWrapper.get_instance()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 345, in get_instance
    XklWrapper._instance = XklWrapper()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 369, in __init__
    raise XklWrapperError("Failed to initialize layouts")
XklWrapperError: Failed to initialize layouts
Comment 15 Adam Williamson 2013-05-15 16:26:00 EDT
I filed https://bugzilla.redhat.com/show_bug.cgi?id=963464 for the Boxes part of this. This bug can just be for making anaconda cope gracefully with errors.
Comment 16 Fedora Update System 2013-05-21 19:34:51 EDT
anaconda-19.29-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.29-1.fc19
Comment 17 Fedora Update System 2013-05-22 18:36:11 EDT
Package anaconda-19.29-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.29-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8821/anaconda-19.29-1.fc19
then log in and leave karma (feedback).
Comment 18 Adam Williamson 2013-05-29 22:07:20 EDT
Confirmed fixed in Beta. If I specify 'ja_JP.UTF-8' as the keyboard layout it doesn't crash, it falls back to US, and logs it in anaconda.log.

Note You need to log in before you can comment on or make changes to this bug.